Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer
Class AbstractCreator

    java.lang.Object
      com.sun.xml.stream.buffer.AbstractCreatorProcessor
          com.sun.xml.stream.buffer.AbstractCreator

Direct Known Subclasses:
  SAXBufferCreator, StreamReaderBufferCreator, StreamWriterBufferCreator

    public class AbstractCreator

extends AbstractCreatorProcessor

Base class for classes that creates `MutableXMLStreamBuffer` and from infoset in API-specific form.

Field Summary
`protected MutableXMLStreamBuffer` | `_buffer`

Fields inherited from class com.sun.xml.stream.buffer.AbstractCreatorProcessor
`_contentCharactersBuffer, _contentCharactersBufferPtr, _contentObjects, _contentObjectsPtr, _currentContentCharactersBufferFragment, _currentContentObjectFragment, _currentStructureFragment, _currentStructureStringFragment, _structure, _structurePtr, _structureStrings, _structureStringsPtr, CHAR_ARRAY_LENGTH_MEDIUM, CHAR_ARRAY_LENGTH_MEDIUM_SIZE, CHAR_ARRAY_LENGTH_SMALL, CHAR_ARRAY_LENGTH_SMALL_SIZE, CONTENT_TYPE_CHAR_ARRAY, CONTENT_TYPE_CHAR_ARRAY_COPY, CONTENT_TYPE_OBJECT, CONTENT_TYPE_STRING, FLAG_DOCUMENT_FRAGMENT, FLAG_PREFIX, FLAG_QUALIFIED_NAME, FLAG_URI, T_ATTRIBUTE, T_ATTRIBUTE_LN, T_ATTRIBUTE_LN_OBJECT, T_ATTRIBUTE_P_U_LN, T_ATTRIBUTE_P_U_LN_OBJECT, T_ATTRIBUTE_U_LN, T_ATTRIBUTE_U_LN_OBJECT, T_ATTRIBUTE_U_LN_QN, T_ATTRIBUTE_U_LN_QN_OBJECT, T_COMMENT, T_COMMENT_AS_CHAR_ARRAY, T_COMMENT_AS_CHAR_ARRAY_COPY, T_COMMENT_AS_CHAR_ARRAY_MEDIUM, T_COMMENT_AS_CHAR_ARRAY_SMALL, T_COMMENT_AS_STRING, T_DOCUMENT, T_DOCUMENT_FRAGMENT, T_ELEMENT, T_ELEMENT_LN, T_ELEMENT_P_U_LN, T_ELEMENT_U_LN, T_ELEMENT_U_LN_QN, T_END, T_END_OF_BUFFER, T_NAMESPACE_ATTRIBUTE, T_NAMESPACE_ATTRIBUTE_P, T_NAMESPACE_ATTRIBUTE_P_U, T_NAMESPACE_ATTRIBUTE_U, T_PROCESSING_INSTRUCTION, T_TEXT, T_TEXT_AS_CHAR_ARRAY, T_TEXT_AS_CHAR_ARRAY_COPY, T_TEXT_AS_CHAR_ARRAY_MEDIUM, T_TEXT_AS_CHAR_ARRAY_SMALL, T_TEXT_AS_OBJECT, T_TEXT_AS_STRING, T_UNEXPANDED_ENTITY_REFERENCE, TYPE_MASK, VALUE_TYPE_OBJECT, VALUE_TYPE_STRING`

Constructor Summary
`AbstractCreator()`

Method Summary
`protected void` | `createBuffer()`
`MutableXMLStreamBuffer` | `getXMLStreamBuffer()`
`protected void` | `increaseTreeCount()` Should be called whenever a new tree is stored on the buffer.
`protected java.lang.Object` | `peekAtContentObject()`
`protected void` | `resizeContentCharacters()`
`protected void` | `resizeContentObjects()`
`protected void` | `resizeStructure()`
`protected void` | `resizeStructureStrings()`
`protected void` | `setBuffer(MutableXMLStreamBuffer buffer)`
`protected void` | `setHasInternedStrings(boolean hasInternedStrings)`
`void` | `setXMLStreamBuffer(MutableXMLStreamBuffer buffer)`
`protected void` | `storeContentCharacters(int type, char[] ch, int start, int length)`
`protected void` | `storeContentCharactersCopy(char[] ch, int start, int length)`
`protected void` | `storeContentObject(java.lang.Object s)`
`protected void` | `storeContentString(java.lang.String s)`
`protected void` | `storeStructure(int b)`
`protected void` | `storeStructureString(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _buffer

    protected MutableXMLStreamBuffer _buffer

Constructor Detail

### AbstractCreator

    public AbstractCreator()

Method Detail

### setXMLStreamBuffer

    public void setXMLStreamBuffer(MutableXMLStreamBuffer buffer)

### getXMLStreamBuffer

    public MutableXMLStreamBuffer getXMLStreamBuffer()

### createBuffer

    protected final void createBuffer()

### increaseTreeCount

    protected final void increaseTreeCount()

  Should be called whenever a new tree is stored on the buffer.

### setBuffer

    protected final void setBuffer(MutableXMLStreamBuffer buffer)

### setHasInternedStrings

    protected final void setHasInternedStrings(boolean hasInternedStrings)

### storeStructure

    protected final void storeStructure(int b)

### resizeStructure

    protected final void resizeStructure()

### storeStructureString

    protected final void storeStructureString(java.lang.String s)

### resizeStructureStrings

    protected final void resizeStructureStrings()

### storeContentString

    protected final void storeContentString(java.lang.String s)

### storeContentCharacters

    protected final void storeContentCharacters(int type,
                                                char[] ch,
                                                int start,
                                                int length)

### resizeContentCharacters

    protected final void resizeContentCharacters()

### storeContentCharactersCopy

    protected final void storeContentCharactersCopy(char[] ch,
                                                    int start,
                                                    int length)

### peekAtContentObject

    protected final java.lang.Object peekAtContentObject()

### storeContentObject

    protected final void storeContentObject(java.lang.Object s)

### resizeContentObjects

    protected final void resizeContentObjects()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD